"""create table for books
Revision ID: 6a7d9e10f8c9
Revises: 0001
Create Date: 2023-05-22 15:35:31.614526
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '6a7d9e10f8c9'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'books',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('title', sa.String(), nullable=False),
        sa.Column('author', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('published_year', sa.Integer(), nullable=True),
        sa.Column('publisher', sa.String(), nullable=True),
        sa.Column('genre', sa.String(), nullable=True),
        sa.Column('pages', sa.Integer(), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )

def downgrade():
    op.drop_table('books')