from fastapi import APIRouter, Depends, status
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.book import BookCreate, BookSchema
from helpers.book_helpers import create_book

router = APIRouter()

@router.post("/book", status_code=status.HTTP_201_CREATED, response_model=BookSchema)
async def create_new_book(
    book_data: BookCreate,
    db: Session = Depends(get_db)
):
    new_book = create_book(db=db, book_data=book_data)
    return new_book